Module ij
Package ij.io

# Class FileOpener

java.lang.Object
ij.io.FileOpener

public class FileOpener extends Object
Opens or reverts an image specified by a FileInfo object. Images can be loaded from either a file (directory+fileName) or a URL (url+fileName). Here is an example:

       public class FileInfo_Test implements PlugIn {
         public void run(String arg) {
           FileInfo fi = new FileInfo();
           fi.width = 256;
           fi.height = 254;
           fi.offset = 768;
           fi.fileName = "blobs.tif";
           fi.directory = "/Users/wayne/Desktop/";
           new FileOpener(fi).open();
         }
       }

## Constructor Summary

Constructors
Constructor
Description
`FileOpener(FileInfo fi)`

## Method Summary

Modifier and Type
Method
Description
`ColorModel`
`createColorModel(FileInfo fi)`
Returns an IndexColorModel for the image specified by this FileInfo.
`InputStream`
`createInputStream(FileInfo fi)`
Returns an InputStream for the image described by this FileInfo.
`Properties`
`decodeDescriptionString(FileInfo fi)`
`void`
`open()`
Opens the image and displays it.
`ImagePlus`
`open(boolean show)`
Obsolete, replaced by openImage() and open().
`ImagePlus`
`openImage()`
Opens the image and returns it has an ImagePlus object.
`ImageProcessor`
`openProcessor()`
`void`
`revertToSaved(ImagePlus imp)`
Restores the original version of the specified image.
`static void`
`setShowConflictMessage(boolean b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileOpener

public FileOpener(FileInfo fi)

## Method Details

### openImage

public ImagePlus openImage()
Opens the image and returns it has an ImagePlus object.

### open

public void open()
Opens the image and displays it.

### open

public ImagePlus open(boolean show)
Obsolete, replaced by openImage() and open().

### openProcessor

public ImageProcessor openProcessor()

### revertToSaved

public void revertToSaved(ImagePlus imp)
Restores the original version of the specified image.

### createColorModel

public ColorModel createColorModel(FileInfo fi)
Returns an IndexColorModel for the image specified by this FileInfo.

### createInputStream

public InputStream createInputStream(FileInfo fi) throws IOException, MalformedURLException
Returns an InputStream for the image described by this FileInfo.

Throws:
  `IOException`
  `MalformedURLException`

### decodeDescriptionString

public Properties decodeDescriptionString(FileInfo fi)

### setShowConflictMessage

public static void setShowConflictMessage(boolean b)